#ifndef __INTERFACES_HWTIMERINTERFACE_H__
#define __INTERFACES_HWTIMERINTERFACE_H__

#include <cstdint>

namespace pinetime::interfaces
{

class HwTimerInterface
{
public:
    virtual void enable_timer() = 0;
    virtual void disable_timer() = 0;
    virtual uint64_t tick() = 0;
};

}

#endif
